Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.share
Interface ADFConfig

public interface ADFConfig

This is an interface of ADF configuration object. The Application Configuration object will manage and store the Application wide configuration information for different components of an ADF application.

ADF configuration object is initilzed with ADF context object.

Since:
  10.1.3
Version:
  10.1.3, 02/05/05

Field Summary
`static java.lang.String` | `ADFCONFIG_WAR_FILENAME`
`static java.lang.String` | `DEFAULT_CONFIGURATION` Name of the default configuration for each component type.

Method Summary
`java.util.Map` | `getConfigObject(java.lang.String namespace)` get the configuration object information stored for the provided namespace
`javax.naming.Context` | `getConnectionsContext()`
`java.lang.Object` | `getId()` Unique identifier for this application
`java.lang.Object` | `getMDSInstance()` Gets the mds instance configured for this application
`javax.naming.Context` | `getSecurityContext()`

Field Detail

### ADFCONFIG_WAR_FILENAME

    public static final java.lang.String ADFCONFIG_WAR_FILENAME

  See Also:
    Constant Field Values

### DEFAULT_CONFIGURATION

    public static final java.lang.String DEFAULT_CONFIGURATION

  Name of the default configuration for each component type.
  See Also:
    Constant Field Values

Method Detail

### getConfigObject

    public java.util.Map getConfigObject(java.lang.String namespace)

  get the configuration object information stored for the provided namespace
  Parameters:
    `namespace` - namespace for which configObject is to be returned
  Returns:
    java.util.Map storedResults for this namespace.

### getMDSInstance

    public java.lang.Object getMDSInstance()

  Gets the mds instance configured for this application

### getId

    public java.lang.Object getId()

  Unique identifier for this application

### getConnectionsContext

    public javax.naming.Context getConnectionsContext()
                                               throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getSecurityContext

    public javax.naming.Context getSecurityContext()
                                            throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.